/**
 *
 * Wechaty: Wechat for Bot. and for human who talk to bot/robot
 *
 * Class StateSwitch
 * Licenst: Apache-2.0
 * https://github.com/zixia/state-switcher
 *
 * Helper Class for Manage State Change
 */
export declare type Pending = 'pending';
export declare class StateSwitch {
    private _name;
    private _on;
    private _pending;
    private log;
    constructor(_name?: string, logInstance?: any);
    setLog(logInstance?: any): void;
    on(): boolean | Pending;
    on(state: true | Pending): void;
    on(state: never): never;
    off(): boolean | Pending;
    off(state: true | Pending): void;
    off(state: never): never;
    /**
     * does the state is not stable(in process)?
     */
    pending(): boolean;
    /**
     * get the client name
     */
    name(): string;
}
export default StateSwitch;
